summaryrefslogtreecommitdiff
path: root/yarn.tests
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2013-08-19 18:53:54 +0100
committerLars Wirzenius <liw@liw.fi>2013-08-19 18:53:54 +0100
commita3bfd4de13e415c3c8267762311340579967cbbb (patch)
tree834cc989d7a225bd34f0b1060921d4d97490924d /yarn.tests
parent3ca820dce1960509a29688f170538cb4ca5ac577 (diff)
downloadcmdtest-a3bfd4de13e415c3c8267762311340579967cbbb.tar.gz
Complain if a scenario has no THENs
Diffstat (limited to 'yarn.tests')
-rw-r--r--yarn.tests/no-then.exit1
-rwxr-xr-xyarn.tests/no-then.script14
-rw-r--r--yarn.tests/no-then.stderr3
3 files changed, 18 insertions, 0 deletions
diff --git a/yarn.tests/no-then.exit b/yarn.tests/no-then.exit
new file mode 100644
index 0000000..d00491f
--- /dev/null
+++ b/yarn.tests/no-then.exit
@@ -0,0 +1 @@
+1
diff --git a/yarn.tests/no-then.script b/yarn.tests/no-then.script
new file mode 100755
index 0000000..491853f
--- /dev/null
+++ b/yarn.tests/no-then.script
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -eu
+
+
+cat <<EOF > "$DATADIR/1.yarn"
+ SCENARIO foo
+ WHEN doing ok
+
+ IMPLEMENTS WHEN doing ok
+ true
+EOF
+
+./run-yarn "$DATADIR/1.yarn"
diff --git a/yarn.tests/no-then.stderr b/yarn.tests/no-then.stderr
new file mode 100644
index 0000000..b018036
--- /dev/null
+++ b/yarn.tests/no-then.stderr
@@ -0,0 +1,3 @@
+ERROR: Some scenarios have no THENs:
+ "foo"
+